Get the latest telemetry data
GET /api
Response
200 — Success
Example Response
JSON
"string"Get the last telemetry task
GET /api
Response
200 — The requested last Telemetry Task
Argumentsobject
Gets or sets any arguments to the task.CanRerunboolean
If true, then the task can be used as the basis for a new task with the same effect.Completedstring
Gets or sets a value indicating the completion status of the task. May be “Timed out”, “Queued…”, “Executing…”, or the time at which the task completed for completed tasks.CompletedTimestring
Gets or sets the date/time that the task completed. Will be null if the task has not yet completed. Formatdate-time.Descriptionstring
Gets or sets a short, human-understandable description of this task. An example might be “Manual database backup”. This is the name that will be shown in the task list.Durationstring
Gets or sets a string indicating how long the task took to run.ErrorMessagestring
Gets or sets a short summary of the errors encountered when the task ran (if any).EstimatedRemainingQueueDurationSecondsintegerFinishedSuccessfullyboolean
Gets or sets a value indicating whether the task ran to completion successfully.HasBeenPickedUpByProcessorboolean
Gets or sets a boolean value indicating whether the Octopus Server is processing this task.HasPendingInterruptionsboolean
True if the task has any pending interruptions.HasPendingPreconditionsboolean
True if the task has any pending preconditions.HasWarningsOrErrorsboolean
True if any warnings or non-fatal errors were recorded in the task log during execution.Idstring
Gets or sets a unique identifier for this resource.IsCompletedboolean
Gets or sets a value indicating whether the task has completed (that is, not queued, not running, and not paused; may have finished successfully or failed).LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastUpdatedTimestring
Gets or sets the time that the Octopus server last updated the status of this task. For a running task this should happen at least every couple of minutes. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of the task to create. This name must be one of the list of possible names documented in the create API operation documentation.PendingInterruptionTypesarray of enum
Contains a list of the types of any pending interruptions.
Allowed values:ManualIntervention,GuidedFailure,PullRequestCompletion,ArgoCDApplicationSync,KubernetesResourceVerification.PendingPreconditionTypesarray of string
Contains a list of the types of any pending preconditions.ProjectIdstring
If the task belongs to a project (e.g. a deployment), the ID of the project it belongs to.QueueTimestring
Gets or sets the time at which the task was queued. Formatdate-time.QueueTimeExpirystring
Gets or sets the time at which the task will timeout if it has not started executing. Formatdate-time.ServerNodestring
Gets the ID of the Octopus server that created and will control this task.SpaceIdstringStartTimestring
Gets or sets the time at which the task started executing. Formatdate-time.Stateenum
Gets or sets the current state of the task.
Allowed values:Queued,Executing,Failed,Canceled,TimedOut,Success,Cancelling.
Example Response
JSON
{
"Arguments": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"CanRerun": true,
"Completed": "string",
"CompletedTime": "2020-01-01T00:00:00.000Z",
"Description": "string",
"Duration": "string",
"ErrorMessage": "string",
"EstimatedRemainingQueueDurationSeconds": 0,
"FinishedSuccessfully": true,
"HasBeenPickedUpByProcessor": true,
"HasPendingInterruptions": true,
"HasPendingPreconditions": true,
"HasWarningsOrErrors": true,
"Id": "string",
"IsCompleted": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastUpdatedTime": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"PendingInterruptionTypes": [
"ManualIntervention"
],
"PendingPreconditionTypes": [
"string"
],
"ProjectId": "string",
"QueueTime": "2020-01-01T00:00:00.000Z",
"QueueTimeExpiry": "2020-01-01T00:00:00.000Z",
"ServerNode": "string",
"SpaceId": "string",
"StartTime": "2020-01-01T00:00:00.000Z",
"State": "Queued"
}Get the Telemetry configuration
GET /api
Response
200 — The requested Telemetry Configuration
EnabledbooleanIdstring
Gets or sets a unique identifier for this resource.IsTelemetryEnforcedbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ShowAsNewUntilstring
Formatdate-time.
Example Response
JSON
{
"Enabled": true,
"Id": "string",
"IsTelemetryEnforced": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ShowAsNewUntil": "2020-01-01T00:00:00.000Z"
}Update the Telemetry Configuration
PUT /api
Request Body
EnabledbooleanIdstring
Gets or sets a unique identifier for this resource.IsTelemetryEnforcedbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ShowAsNewUntilstring
Formatdate-time.
Response
200 — Confirmation that Telemetry Configuration was modified, containing the new configuration
EnabledbooleanIdstring
Gets or sets a unique identifier for this resource.IsTelemetryEnforcedbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ShowAsNewUntilstring
Formatdate-time.
Example Request
JSON
{
"Enabled": true,
"Id": "string",
"IsTelemetryEnforced": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ShowAsNewUntil": "2020-01-01T00:00:00.000Z"
}Example Response
JSON
{
"Enabled": true,
"Id": "string",
"IsTelemetryEnforced": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ShowAsNewUntil": "2020-01-01T00:00:00.000Z"
}